KHE::CharColumnInterface Class Referenceabstract

`#include <charcolumninterface.h>`

## Public Types

enum | KEncoding { LocalEncoding =0, ISO8859_1Encoding =1, CECP1047Encoding =2, MaxEncodingId =0xFFFF }

## Public Member Functions

virtual void | setShowUnprintable (bool SU=true)=0
virtual void | setSubstituteChar (QChar SC)=0
virtual void | setEncoding (KEncoding C)=0
virtual bool | showUnprintable () const =0
virtual QChar | substituteChar () const =0
virtual KEncoding | encoding () const =0

## Detailed Description

A simple interface for the access to the char column of a hex edit widget.

Author
  Friedrich W. H. Kossebau Fried.nosp@m.rich.nosp@m..W.H@.nosp@m.Koss.nosp@m.ebau..nosp@m.de

See also
  createBytesEditWidget(), charColumnInterface()

Since
  3.2

Definition at line 33 of file charcolumninterface.h.

## Member Enumeration Documentation

enum KHE::CharColumnInterface::KEncoding

encoding used to display the symbols in the text column

Enumerator
LocalEncoding | the encoding of your shell. If that is a multibyte encoding this will default to Latin1.
ISO8859_1Encoding | extended ASCII encoding, also known as Latin1

Definition at line 37 of file charcolumninterface.h.

## Member Function Documentation

virtual KEncoding KHE::CharColumnInterface::encoding | ( |  | ) | const

pure virtual

Returns
  the currently used encoding

See also
  setEncoding()

virtual void KHE::CharColumnInterface::setEncoding | ( | KEncoding | C | ) |

pure virtual

sets the encoding of the text column.

If the encoding is not available the format will not be changed. Default is `LocalEncoding`.

Parameters

  C | the new encoding

See also
  encoding()

virtual void KHE::CharColumnInterface::setShowUnprintable | ( | bool | SU = `true` | ) |

pure virtual

sets whether "unprintable" chars (value<32) should be displayed in the text column with their corresponding character.

Default is `false`.

Parameters

  SU |

See also
  showUnprintable()

virtual void KHE::CharColumnInterface::setSubstituteChar | ( | QChar | SC | ) |

pure virtual

sets the substitute character for "unprintable" chars Default is '.

'.

Parameters

  SC | new character

See also
  substituteChar()

virtual bool KHE::CharColumnInterface::showUnprintable | ( |  | ) | const

pure virtual

Returns
  `true` if "unprintable" chars (value<32) are displayed in the text column with their corresponding character, `false` otherwise

See also
  setShowUnprintable()

virtual QChar KHE::CharColumnInterface::substituteChar | ( |  | ) | const

pure virtual

Returns
  the currently used substitute character for "unprintable" chars.

See also
  setSubstituteChar()

The documentation for this class was generated from the following file:

- charcolumninterface.h

KDE Home | KDE Accessibility Home | Description of Access Keys